Bug 17584 - Add the Koha::Patron->checkouts method
Summary: Add the Koha::Patron->checkouts method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17580 17796
Blocks: 17588
  Show dependency treegraph
 
Reported: 2016-11-08 15:19 UTC by Jonathan Druart
Modified: 2017-12-18 17:29 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17584: Add the Koha::Patron->get_issues method (3.34 KB, patch)
2016-11-08 15:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17584: Add the Koha::Patron->get_issues method (3.41 KB, patch)
2016-11-09 10:10 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17584: Add the Koha::Patron->get_issues method (3.45 KB, patch)
2016-12-05 15:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17584: Add the Koha::Patron->get_checkouts method (3.40 KB, patch)
2016-12-20 14:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17584: Add the Koha::Patron->get_checkouts method (3.45 KB, patch)
2016-12-23 14:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17584 [QA Followup] - Rename Koha::Patron::get_checkouts to Koha::Patron::checkouts (3.22 KB, patch)
2016-12-23 14:14 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-08 15:19:38 UTC

    
Comment 1 Jonathan Druart 2016-11-08 15:22:57 UTC
Created attachment 57331 [details] [review]
Bug 17584: Add the Koha::Patron->get_issues method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 2 Josef Moravec 2016-11-09 10:10:31 UTC
Created attachment 57365 [details] [review]
[SIGNED-OFF] Bug 17584: Add the Koha::Patron->get_issues method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2016-12-02 08:06:22 UTC
Depends on a PNA
Comment 4 Nick Clemens 2016-12-05 15:19:10 UTC
Applying: Bug 17584: Add the Koha::Patron->get_issues method
fatal: sha1 information is lacking or useless (Koha/Patron.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 17584: Add the Koha::Patron->get_issues method
Comment 5 Jonathan Druart 2016-12-05 15:33:27 UTC
Created attachment 57971 [details] [review]
Bug 17584: Add the Koha::Patron->get_issues method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2016-12-20 14:02:07 UTC
Created attachment 58295 [details] [review]
Bug 17584: Add the Koha::Patron->get_checkouts method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Jonathan Druart 2016-12-20 14:02:34 UTC
Rebased on top of bug 17796 (Move Koha::Issues to Koha::Checkouts)
Comment 8 Kyle M Hall 2016-12-23 14:14:03 UTC
Created attachment 58419 [details] [review]
Bug 17584: Add the Koha::Patron->get_checkouts method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2016-12-23 14:14:11 UTC
Created attachment 58420 [details] [review]
Bug 17584 [QA Followup] - Rename Koha::Patron::get_checkouts to Koha::Patron::checkouts

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2016-12-28 13:51:08 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 11 Katrin Fischer 2017-01-04 21:45:57 UTC
This won't get ported back to 16.11.x as it is an enhancement.